#include <stdio.h>
#include <stdlib.h>

#include "lrdf.h"

int main(int argc, char*argv[])
{
	const char *rdf_uris[] = {
		"file:ladspa.rdfs",
	       	"file:example.rdf",
		 NULL
	};
	lrdf_statement *s;
	lrdf_statement *it;
	lrdf_statement p;

	lrdf_init();
	if (lrdf_read_files(rdf_uris)) {
                fprintf(stderr, "failed to open a file\n");
		exit(1);
        }

	p.subject = NULL;
	p.predicate = NULL;
	p.object = NULL;
	s = lrdf_matches(&p);
	for (it = s; it != NULL; it = it->next) {
		printf("(%s, %s, %s)\n", it->subject, it->predicate,
				it->object);
	}
	lrdf_free_statements(s);

	lrdf_cleanup();

	return 0;
}
